//DHT11 온습도센서 테스트 코드
#include <DHT.h>
#include <DHT_U.h>

#define DHTPIN 8
#define DHTTYPE DHT11

DHT dht(DHTPIN, DHTTYPE);

void setup() {
  //시리얼, LCD, 온습도 센서 통신 설정
  Serial.begin(9600);
  dht.begin();
}

void loop() {
  //온도와 습도 값을 측정하고 변수에 저장하기
  float humi, temp;
  temp = dht.readTemperature();
  humi = dht.readHumidity();
  Serial.print("온도 : ");
  Serial.println(temp);
  Serial.print("습도 : ");
  Serial.println(humi);
  //센서가 측정하지 못 할 경우 측정 종료
  if(isnan(humi) || isnan(temp)){
    Serial.println("Failed to read from DHT sensor!!");
    return;
  }
}
